/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */
import { __ } from "@wordpress/i18n";
import { ExternalLink } from "@wordpress/components";

/**
 * Internal dependencies
 */

/**
 * Input a block icon
 *
 * @param {Object}
 */
const IconHelp = () => {
  return (
    <>
      {__(
        "We recommend using SVGO to optimize custom SVG files before uploading them. Here is",
        "content-blocks-builder"
      )}
      &nbsp;
      <ExternalLink href="https://jakearchibald.github.io/svgomg/">
        {__("Web GUI for SVGO")}
      </ExternalLink>
      <br />
      {__(
        "Work best with the icon that has the same width and height. Support almost all SVG icons from popular libraries such as:",
        "content-blocks-builder"
      )}
      &nbsp;
      <ExternalLink href={"https://fonts.google.com/icons"}>
        {__("Material Symbols", "content-blocks-builder")}
      </ExternalLink>
      &nbsp;
      <ExternalLink href={"https://icons.getbootstrap.com"}>
        {__("Bootstrap Icons", "content-blocks-builder")}
      </ExternalLink>
      &nbsp;
      <ExternalLink href={"https://ionic.io/ionicons"}>
        {__("Ionicons", "content-blocks-builder")}
      </ExternalLink>
      &nbsp;
      <ExternalLink href={"https://fontawesome.com"}>
        {__("Fontawesome", "content-blocks-builder")}
      </ExternalLink>
      &nbsp;
      <ExternalLink href={"https://fluenticons.co/"}>
        {__("Fluent Icons", "content-blocks-builder")}
      </ExternalLink>
    </>
  );
};

export default IconHelp;
