/**
 * External dependencies
 */
import classnames from "classnames";

/**
 * WordPress dependencies
 */
import { Icon, help, close } from "@wordpress/icons";
import { useState } from "@wordpress/element";

/**
 * Internal dependencies
 */
import { LabelControl } from "sdk/components";
import { LabelHelpControlStyled } from "./styles";

export const LabelHelpControl = ({
  label,
  isOpen = false,
  helpControls = null,
}) => {
  const [isOpenHelp, setIsOpenHelp] = useState(isOpen);
  return (
    <LabelHelpControlStyled className="label-help">
      <div
        className="label-help__header"
        onClick={() => {
          setIsOpenHelp(!isOpenHelp);
        }}
      >
        <LabelControl label={label} isResponsive={false} isBold={true} />
        <a className={classnames("toggle-help", { "is-open": isOpenHelp })}>
          <span className="help">
            <Icon icon={help} />
          </span>
          <span className="close">
            <Icon icon={close} />
          </span>
        </a>
      </div>
      {isOpenHelp && <div className="label-help__body">{helpControls}</div>}
    </LabelHelpControlStyled>
  );
};
