/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */
import { __ } from "@wordpress/i18n";
import { close, help } from "@wordpress/icons";
import { Button } from "@wordpress/components";

/**
 * Internal dependencies
 */

/**
 * Header actions control
 *
 * @param {Object} props
 * @returns
 */
export function HeaderActionsControl({
  isOpenHelp,
  onToggleHelp,
  onCloseModal,
}) {
  return (
    <div className="template-header__actions">
      <Button
        className="template-header__help"
        onClick={onToggleHelp}
        icon={isOpenHelp ? close : help}
        iconSize={36}
        label={__("Toggle help", "content-blocks-builder")}
        aria-expanded={isOpenHelp}
      />
      {onCloseModal && (
        <Button
          className="template-header__close"
          onClick={onCloseModal}
          icon={close}
          iconSize={36}
          label={__("Close dialog", "content-blocks-builder")}
        />
      )}
    </div>
  );
}

export default HeaderActionsControl;
