/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */
import { __ } from "@wordpress/i18n";
import { getBlockSupport } from "@wordpress/blocks";

/**
 * Internal dependencies
 */

/**
 * Don't allow create blocks/patterns from nested blocks
 *
 * @param {Array} clientIds
 * @param {Function} getBlockName
 * @returns {Boolean}
 */
export const canCreateBlocks = (clientIds, getBlockName) => {
  if (!clientIds?.length) {
    return false;
  }

  // Get block type.
  const blockType = getBlockName(clientIds[0]);
  const boldblocks = getBlockSupport(blockType, "boldblocks");
  const layoutType = boldblocks?.layoutType ?? false;
  if (
    ["gridItem", "carouselItem", "accordionItem", "vstackItem"].includes(
      layoutType
    )
  ) {
    return false;
  }

  return true;
};
